Group: Networking/WWW
# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/inews /usr/bin/rnews
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
# https://src.fedoraproject.org/rpms/redhat-rpm-config/blob/master/f/buildflags.md#legacy-fcommon
%add_optflags -fcommon

Name:		newsx
Version:	1.6
Release:	alt4_40
License:	GPLv2+
Summary:	NNTP news exchange utility
Summary(pl):	Narzędzie do wymiany newsów po NNTP
Source0:	ftp://ftp.tin.org/pub/news/utils/newsx/%{name}-%{version}.tar.gz
# Source0-md5:	ad9c76c53d5c7d21d86bec805fe8cd34
Patch0:		%{name}-make.patch
Patch1:		%{name}-stack.patch
Patch2:		%{name}-quotes.patch
# port to automake 1.12+
Patch3:		%{name}-automake.patch
BuildRequires:  gcc
BuildRequires:	libinn-devel
BuildRequires:	automake
BuildRequires:	autoconf
# work around https://bugzilla.redhat.com/show_bug.cgi?id=927170
BuildRequires:	perl-base
Requires:	inn
Source44: import.info

%description
Newsx is an NNTP client that will connect to a remote NNTP server and
post outgoing news articles batched by the news system (e.g. INN), as
well as fetch incoming articles.

%description -l pl
Newsx jest klientem NNTP który łączy się ze zdalnym serwerem i wysyła
wychodzące artykuły zgromadzone przez system newsów (np. INN) oraz
pobiera przychodzące artykuły.

%prep
%setup -q
%patch0 -p1
%patch1 -p1 -b .stack
%patch2 -p1 -b .quotes
%patch3 -p1 -b .am-1.12

%build
autoreconf -f -i
%configure \
	--with-inhosts=/var/spool/news/inhosts \
	--with-newsconfig=/usr/lib/news/lib/innshellvars \
	--with-newslib=%{_libdir}/news/lib \

make %{?_smp_mflags}

%install

make install \
	DESTDIR=$RPM_BUILD_ROOT

# avoid conflict with leafnode
pushd $RPM_BUILD_ROOT
mv .%{_bindir}/newsq .%{_bindir}/newsx-newsq
mv .%{_mandir}/man1/newsq.1 .%{_mandir}/man1/newsx-newsq.1
popd

%files
%doc AUTHORS ChangeLog COPYING FAQ NEWS README TODO
%attr(755,root,root) %{_bindir}/*
%attr(770,root,news) %dir /var/spool/news/inhosts
%{_mandir}/man[158]/*

%changelog
* Thu Mar 21 2024 Cronbuild Service <cronbuild@altlinux.org> 1.6-alt4_40
- rebuild to get rid of unmets

* Wed Feb 22 2023 Igor Vlasenko <viy@altlinux.org> 1.6-alt3_40
- update to new release by fcimport

* Sun Aug 07 2022 Igor Vlasenko <viy@altlinux.org> 1.6-alt3_38
- update to new release by fcimport

* Sat Feb 05 2022 Igor Vlasenko <viy@altlinux.org> 1.6-alt3_37
- update to new release by fcimport

* Mon Aug 02 2021 Igor Vlasenko <viy@altlinux.org> 1.6-alt3_36
- update to new release by fcimport

* Wed Mar 17 2021 Igor Vlasenko <viy@altlinux.org> 1.6-alt3_35
- update to new release by fcimport

* Wed Jan 27 2021 Igor Vlasenko <viy@altlinux.ru> 1.6-alt3_34
- update to new release by fcimport

* Wed Sep 02 2020 Igor Vlasenko <viy@altlinux.ru> 1.6-alt2_34
- update to new release by fcimport

* Thu Feb 27 2020 Igor Vlasenko <viy@altlinux.ru> 1.6-alt2_33
- update to new release by fcimport

* Tue Aug 06 2019 Igor Vlasenko <viy@altlinux.ru> 1.6-alt2_31
- update to new release by fcimport

* Tue Mar 05 2019 Igor Vlasenko <viy@altlinux.ru> 1.6-alt2_30
- update to new release by fcimport

* Fri Jan 04 2019 Igor Vlasenko <viy@altlinux.ru> 1.6-alt2_29
- rebuild to get rid of unmets

* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 1.6-alt1_29
- update to new release by fcimport

* Fri Jun 08 2018 Igor Vlasenko <viy@altlinux.ru> 1.6-alt1_28
- update to new release by fcimport

* Wed Sep 27 2017 Igor Vlasenko <viy@altlinux.ru> 1.6-alt1_27
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 1.6-alt1_25
- update to new release by fcimport

* Sun May 29 2016 Igor Vlasenko <viy@altlinux.ru> 1.6-alt1_24
- update to new release by fcimport

* Mon Sep 21 2015 Igor Vlasenko <viy@altlinux.ru> 1.6-alt1_23
- update to new release by fcimport

* Wed Sep 10 2014 Igor Vlasenko <viy@altlinux.ru> 1.6-alt1_21
- update to new release by fcimport

* Thu Jun 26 2014 Igor Vlasenko <viy@altlinux.ru> 1.6-alt1_20
- update to new release by fcimport

* Tue Aug 27 2013 Igor Vlasenko <viy@altlinux.ru> 1.6-alt1_19
- update to new release by fcimport

* Fri Apr 26 2013 Igor Vlasenko <viy@altlinux.ru> 1.6-alt1_18
- initial fc import

